POST /licensing/status
/licensing/status
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
LicenseStatus object creation
{
"_last_modified": "string",
"cls_status": {
"cls_id": "string",
"cls_ref": "string",
"connected": false,
"enabled": false,
"message": "string",
"refreshed_at": "string",
"usage_uploaded_at": "string"
},
"legacy_license_grace_period": "string",
"saas_status": {
"connected": false,
"enabled": false,
"expired": false,
"last_refreshed_at": "string",
"message": "string",
"name": "string",
"pool": {
"available_service_units": "number",
"pool_id": "string",
"pool_name": "string",
"used_service_units": "number"
},
"public_key": "string",
"refresh_status": false,
"refreshed_at": "string",
"reserve_service_units": "number",
"state": "string"
},
"service_update": {
"name": "string",
"service_units": {
"available_service_units": "number",
"org_id": "string",
"used_service_units": "number"
}
},
"support_legacy_license": false,
"tenant_uuid": "string",
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"cls_status": {
"cls_id": "string",
"cls_ref": "string",
"connected": false,
"enabled": false,
"message": "string",
"refreshed_at": "string",
"usage_uploaded_at": "string"
},
"legacy_license_grace_period": "string",
"saas_status": {
"connected": false,
"enabled": false,
"expired": false,
"last_refreshed_at": "string",
"message": "string",
"name": "string",
"pool": {
"available_service_units": "number",
"pool_id": "string",
"pool_name": "string",
"used_service_units": "number"
},
"public_key": "string",
"refresh_status": false,
"refreshed_at": "string",
"reserve_service_units": "number",
"state": "string"
},
"service_update": {
"name": "string",
"service_units": {
"available_service_units": "number",
"org_id": "string",
"used_service_units": "number"
}
},
"support_legacy_license": false,
"tenant_uuid": "string",
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
cls_status
Legacy license grace period, when controller upgrades with existing legacy licenses. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
saas_status
service_update
Indicates if legacy licenses are supported. When false, legacy licenses have been cleaned up after grace period expiry. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Tenant uuid. Field introduced in 30.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
url
Uuid. Field introduced in 21.1.3. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/licensing/status